﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using Telerik.Windows.Controls.Calendar;

namespace RadCalendarDaySelector
{
    public class DayButtonStyleSelector : DataTemplateSelector
    {
        private DataTemplate oddDayStyle;
        public DataTemplate OddDayStyle
        {
            get
            {
                return this.oddDayStyle;
            }
            set
            {
                this.oddDayStyle = value;
            }
        }

        private DataTemplate evenDayStyle;
        public DataTemplate EvenDayStyle 
        { 
            get
            {
                return this.evenDayStyle;
            }
            set
            {
                this.evenDayStyle = value;
            }
        }

        private DataTemplate defaultTemplate;
        public DataTemplate DefaultTemplate
        {
            get
            {
                return this.defaultTemplate;
            }
            set
            {
                this.defaultTemplate = value;
            }
        }

        public override DataTemplate SelectTemplate(object item, DependencyObject container)
        {
            CalendarButtonContent content = item as CalendarButtonContent;
            if (content != null)
            {
                if (content.Date.Day%2 == 0 && content.ButtonType == CalendarButtonType.Date && content.IsSelected)
                {
                    return EvenDayStyle;
                }
                else if (content.Date.Day%2 != 0 && content.ButtonType == CalendarButtonType.Date && content.IsSelected)
                {
                    return OddDayStyle;
                }
            }
            return DefaultTemplate;
        }
    }
}
